Skip to content

Unpriced Segment

Request

Use the Unpriced Segment API in either the booking or post-booking workflow to add an unpriced segment to the workbench. You can send the Unpriced Segment request instead of the Add Offer API in the booking workflow. Or, to add both an unpriced segment and an offer, you can send both Unpriced Segment and Add Offer. Unpriced Segment adds flight/s as unpriced segments instead of as an offer, which is by definition priced.Unpriced segments can be priced using the offers/buildfromunpricedsegments API. GDS content only. NDC does not support unpriced segments.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The reservation workbench identifier to add unpriced segments to.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired

Add Unpriced Segments request payload.

@typestringrequired

Discriminator. No child classes.

Example:"UnpricedSegments"
UnpricedFlightSegmentArray of objects, [ 1 .. 100 ] items(UnpricedFlightSegment)required
curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/382c74c3-721d-4f34-80e5-57657b6cbc27/unpricedsegments \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "UnpricedSegments",
    "UnpricedFlightSegment": [
      {
        "@type": "UnpricedFlightSegment",
        "sequence": 1,
        "passengerQuantity": 2,
        "classOfService": "K",
        "passiveSegmentStatus": "AK",
        "Flight": {
          "@type": "Flight",
          "id": "1",
          "carrier": "QF",
          "number": "1251",
          "Departure": {
            "@type": "Departure",
            "location": "BNE",
            "date": "2026-11-30"
          },
          "Arrival": {
            "@type": "Arrival",
            "location": "MEL",
            "date": "2026-11-30"
          }
        }
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
UnpricedSegmentsResponseobject(UnpricedSegmentsResponse)

The response of an UnpricedSegment add request.

Response
{ "UnpricedSegmentsResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }